-- Файл: init.lua (или lua/mkdx_config.lua, если вы используете модульную структуру)

-- Создаем группу автокоманд для mkdx
local function setup_mkdx_mappings()
    -- Отключаем стандартные маппинги плагина
    vim.api.nvim_set_keymap('n', '<Plug>(mkdx-gen-or-upd-toc)', '<Nop>', { noremap = true })
    vim.api.nvim_set_keymap('n', '<Plug>(mkdx-text-italic-n)', '<Nop>', { noremap = true })
    vim.api.nvim_set_keymap('n', '<Plug>(mkdx-toggle-checkbox-n)', '<Nop>', { noremap = true })

    -- Переназначаем leader/ на leaderi (Italicize text)
    vim.api.nvim_set_keymap('n', '<leader>i', '<Plug>(mkdx-text-italic-n)', { noremap = true, silent = true })
    vim.api.nvim_set_keymap('v', '<leader>i', '<Plug>(mkdx-text-italic-v)', { noremap = true, silent = true })

    -- Переназначаем leadert на leaderw (Toggle checklist item)
    vim.api.nvim_set_keymap('n', '<leader>w', '<Plug>(mkdx-toggle-checklist-n)', { noremap = true, silent = true })
    vim.api.nvim_set_keymap('v', '<leader>w', '<Plug>(mkdx-toggle-checklist-v)', { noremap = true, silent = true })
end

-- Создаем автокоманду для применения настроек после загрузки всех файлов
vim.cmd [[
augroup MkdxMappings
    autocmd!
    autocmd VimEnter * if &filetype == 'markdown' || &filetype == 'mkdx' | lua setup_mkdx_mappings() | endif
augroup END
]]
